summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTodd Berman <tberman@gentoo.org>2003-05-23 15:32:12 +0000
committerTodd Berman <tberman@gentoo.org>2003-05-23 15:32:12 +0000
commitc8768e494bf2117e04dda6b36c0fbea9b96f572d (patch)
treed6089c3083157ae406020cf632a9ef7fec1899d8 /app-editors/jext/files
parentMoved, Closed bug #12702 (diff)
downloadgentoo-2-c8768e494bf2117e04dda6b36c0fbea9b96f572d.tar.gz
gentoo-2-c8768e494bf2117e04dda6b36c0fbea9b96f572d.tar.bz2
gentoo-2-c8768e494bf2117e04dda6b36c0fbea9b96f572d.zip
Moved, Closed bug #12702
Diffstat (limited to 'app-editors/jext/files')
-rw-r--r--app-editors/jext/files/digest-jext-3.2_pre32
-rw-r--r--app-editors/jext/files/jext-gentoo.sh50
2 files changed, 52 insertions, 0 deletions
diff --git a/app-editors/jext/files/digest-jext-3.2_pre3 b/app-editors/jext/files/digest-jext-3.2_pre3
new file mode 100644
index 000000000000..9f060a85e4b0
--- /dev/null
+++ b/app-editors/jext/files/digest-jext-3.2_pre3
@@ -0,0 +1,2 @@
+MD5 7de789ffe602f37b6b978439b3b048d1 jext-3.2pre3.tar.gz 2555439
+MD5 57c1482cda431e5d5d7338ddc6ca5724 jext-sources-3.2pre3.tar.gz 1004576
diff --git a/app-editors/jext/files/jext-gentoo.sh b/app-editors/jext/files/jext-gentoo.sh
new file mode 100644
index 000000000000..bac53dfb37a4
--- /dev/null
+++ b/app-editors/jext/files/jext-gentoo.sh
@@ -0,0 +1,50 @@
+#! /bin/sh
+#
+# This script launch the Jext the Java text editor.
+# It checks for a $HOME/.jext directory and eventually creates it.
+# Next it checks for a $HOME/.jext/variables file which define the JEXT_HOME JAVA_CMD and JAVA_OPT variables.
+# If this file doesn't exist the script creates it by asking the options to the user.
+
+
+# Sharpshooter 23/02/2002
+# Modified by Todd Berman <tberman@gentoo.org> 23/05/2003
+
+# Help
+
+if [ "$1" = "--help" ]
+then
+ echo "This script launch Jext the Java text editor."
+ echo "Usage : $0 [files]"
+ exit 0
+fi
+
+
+
+# Check for the user's ~/.jext directory.
+if ! [ -d ~/.jext ]
+then
+ echo "It seems you don't have a .jext directory in your home dir."
+ echo "I create it."
+ echo
+ mkdir -p ~/.jext/xinsert
+
+fi
+
+
+
+# Check for the $HOME/.jext/variables file.
+if ! [ -f ~/.jext/variables ]
+then
+ echo "JEXT_HOME="/usr/share/jext/lib > ~/.jext/variables
+ echo "JAVA_CMD="`java-config --java` >>~/.jext/variables
+fi
+
+
+# Extract the contents of the ~/.jext/variables file.
+JEXT_HOME=`grep JEXT_HOME ~/.jext/variables | cut -f2 -d=`
+JAVA_CMD=`grep JAVA_CMD ~/.jext/variables | cut -f2 -d=`
+JAVA_OPT=`grep JAVA_OPT ~/.jext/variables | cut -f2 -d=`
+
+
+# Launch JEXT
+exec "$JAVA_CMD" $JAVA_OPTS -Dpython=`java-config --classpath=jython` -classpath "`java-config --classpath=jython`:`java-config --classpath=jext`" org.jext.Jext "$@"